Macro Remove parametric history

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Macro Remove parametric history and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano

Macro Remove parametric history.png Remove parametric history

Description
Cela supprimera toutes les associativités paramétriques d'un objet, le transformant en une "simple" forme

Version macro : 1.0
Date dernière modification : 2011-08-01
Version FreeCAD : All
Téléchargement : ToolBar Icon
Auteur
Yorik
Téléchargement
ToolBar Icon
Liens
Version Macro
1.0
Dernière modification
2011-08-01
Version(s) FreeCAD
All
Raccourci clavier
None
Voir aussi
None


Description

Cela supprimera toutes les associativités paramétriques d'un objet, le transformant en une "simple" forme

Avant et après transformation

RPH before.png

RPH after.png

Script

ToolBar Icon Macro Remove parametric history.png

Remove parametric history.FCMacro

originalObject = FreeCAD.ActiveDocument.ActiveObject
newShape = originalObject.Shape.copy()
newName = FreeCAD.ActiveDocument.ActiveObject.Name
FreeCAD.ActiveDocument.removeObject(newName)
newObject = FreeCAD.ActiveDocument.addObject("Part::Feature",newName)
newObject.Shape = newShape